=== tests/test/site-tags/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		site-tags
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for site:tags functionalities
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

master_sites	http://www.douglas.stebila.ca/files/code/vim/app/:app_aqua \
				http://www.douglas.stebila.ca/files/code/vim/doc/:doc_aqua
distfiles		app-bm.tar.gz:app_aqua \
				doc.tar.gz:doc_aqua

checksums		app-bm.tar.gz \
					md5 418b9e615a34ae5aad918f5c5a694a44 \
					sha1 e8f8939b16665394686284681036e71fb2d3974d \
					rmd160 756bca16c69bb3b051c581d671e824ca1495a05b \
				doc.tar.gz \
					md5 692f7874fc617162d0fe110daf39a98a \
					sha1 51d62b8ab344eaf9c1e95d6563766b2453c27e99 \
					rmd160 3cbae7e39e8c78eca03a0db709cf520003896a12

extract		{}
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	# test is actually running the fetch target
}
